We use cookies to give you the best experience on our website. If you continue to browse, then you agree to our privacy policy and cookie policy. (Last updated on : Nov 16th 2018).
Unfortunately, activation email could not send to your email. Please try again.
Syncfusion Feedback

Calendar change year not working

Thread ID:

Created:

Updated:

Platform:

Replies:

128284 Jan 12,2017 12:20 PM UTC Jan 13,2017 05:23 AM UTC Xamarin.Forms 1
loading
Tags: SfCalendar
Stephen Impey
Asked On January 12, 2017 12:20 PM UTC

I am using v14.4.0.20 on the Syncfusion.Xamarin.SfCalendar from the Syncfusion NuGet repository.

This problem occurs in Android, but works fine in iOS.

I am using the calendar in Month view, set to for example January 2017. I click on the year, and the calendar switches to the year mode.

Now I sweep down to switch year, to 2016, and the calendar is now showing 2016 correctly. Next I click on a month, for example September.

In iOS I now switch back to the Month view displaying correctly September 2016.

BUT in Android it switches back to the Month view on September 2017 which is incorrect.

The OnViewModeChanged event in both cases matches the month/year that is switched to.

Are you aware of this issue? If not, can this be fixed?

Rajkumar Ganesamoorthy [Syncfusion]
Replied On January 13, 2017 05:23 AM UTC

Hi Stephen,

Thank you for contacting Syncfusion Support.

We have fixed the reported issue "" internally. A support incident to get the fix for the issue has been created under your account. Please log on to our support website to check for further updates.

https://www.syncfusion.com/account/login?ReturnUrl=%2fsupport%2fdirecttrac%2fincidents

Regards,
Rajkumar G








CONFIRMATION

This post will be permanently deleted. Are you sure you want to continue?

Sorry, An error occured while processing your request. Please try again later.

Warning Icon You are using an outdated version of Internet Explorer that may not display all features of this and other websites. Upgrade to Internet Explorer 8 or newer for a better experience.Close Icon

;